## com.sun.appserv.util.cache.mbeans
Interface JmxMultiLruCacheMBean

All Superinterfaces:
  JmxBaseCacheMBean

All Known Subinterfaces:
  JmxBoundedMultiLruCacheMBean

All Known Implementing Classes:
  JmxBoundedMultiLruCache, JmxMultiLruCache

    public interface JmxMultiLruCacheMBean

extends JmxBaseCacheMBean

This interface defines the attributes exposed by the MultiLruCache MBean

Author:
  Krishnamohan Meduri (Krishna.Meduri@Sun.com)

Method Summary
`Integer[]` `getSegmentListLength()` Returns the legnth of the segment list
`Integer` `getSegmentSize()` Returns the size of each segment
`Integer` `getTrimCount()` Returns the number of entries that have been trimmed

Methods inherited from interface com.sun.appserv.util.cache.mbeans.JmxBaseCacheMBean
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Method Detail

### getTrimCount

    Integer getTrimCount()

  Returns the number of entries that have been trimmed

### getSegmentSize

    Integer getSegmentSize()

  Returns the size of each segment

### getSegmentListLength

    Integer[] getSegmentListLength()

  Returns the legnth of the segment list

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.